Bug 1026037 - [abrt] tracker-0.16.2-4.fc20: strncmp: Process /usr/libexec/tracker-miner-fs was killed by signal 11 (SIGSEGV)
[abrt] tracker-0.16.2-4.fc20: strncmp: Process /usr/libexec/tracker-miner-fs ...
Status: CLOSED DUPLICATE of bug 1018368
Product: Fedora
Classification: Fedora
Component: tracker (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Igor Gnatenko
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:91d114bd905a2d84b22862c2ae5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-02 18:03 EDT by Mikhail
Modified: 2014-11-02 10:16 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-10 12:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (86.70 KB, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: cgroup (159 bytes, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: core_backtrace (15.81 KB, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: dso_list (5.12 KB, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: environ (1.45 KB, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-02 18:03 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-02 18:04 EDT, Mikhail
no flags Details
File: maps (26.16 KB, text/plain)
2013-11-02 18:04 EDT, Mikhail
no flags Details
File: open_fds (839 bytes, text/plain)
2013-11-02 18:04 EDT, Mikhail
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2013-11-02 18:04 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-11-02 18:03:31 EDT
Version-Release number of selected component:
tracker-0.16.2-4.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/tracker-miner-fs
crash_function: strncmp
executable:     /usr/libexec/tracker-miner-fs
kernel:         3.11.6-301.fc20.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 strncmp at ../sysdeps/x86_64/strcmp.S:209
 #1 file_node_data_equal_or_child at tracker-file-system.c:186
 #2 file_tree_lookup at tracker-file-system.c:263
 #3 tracker_file_system_set_property at tracker-file-system.c:724
 #4 crawler_finished_cb at tracker-file-notifier.c:647
 #5 g_cclosure_marshal_VOID__BOOLEANv at gmarshal.c:188
 #6 _g_closure_invoke_va at gclosure.c:840
 #9 tracker_crawler_stop at tracker-crawler.c:914
 #10 process_func at tracker-crawler.c:548

Potential duplicate: bug 812217
Comment 1 Mikhail 2013-11-02 18:03:39 EDT
Created attachment 818641 [details]
File: backtrace
Comment 2 Mikhail 2013-11-02 18:03:43 EDT
Created attachment 818642 [details]
File: cgroup
Comment 3 Mikhail 2013-11-02 18:03:47 EDT
Created attachment 818643 [details]
File: core_backtrace
Comment 4 Mikhail 2013-11-02 18:03:50 EDT
Created attachment 818644 [details]
File: dso_list
Comment 5 Mikhail 2013-11-02 18:03:53 EDT
Created attachment 818645 [details]
File: environ
Comment 6 Mikhail 2013-11-02 18:03:56 EDT
Created attachment 818646 [details]
File: exploitable
Comment 7 Mikhail 2013-11-02 18:04:00 EDT
Created attachment 818647 [details]
File: limits
Comment 8 Mikhail 2013-11-02 18:04:04 EDT
Created attachment 818648 [details]
File: maps
Comment 9 Mikhail 2013-11-02 18:04:07 EDT
Created attachment 818649 [details]
File: open_fds
Comment 10 Mikhail 2013-11-02 18:04:10 EDT
Created attachment 818650 [details]
File: proc_pid_status
Comment 11 Fedora Admin XMLRPC Client 2014-07-26 13:12:35 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2014-07-27 02:34:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Debarshi Ray 2014-10-10 12:43:36 EDT

*** This bug has been marked as a duplicate of bug 1018368 ***
Comment 14 Brian J. Murrell 2014-11-02 09:12:23 EST
(In reply to Debarshi Ray from comment #13)
> 
> *** This bug has been marked as a duplicate of bug 1018368 ***

It's really quite annoying when public bugs -- the ones that abrt is going to find and direct one to -- are closed as a duplicate of a private bug.  How are those of us afflicted with this bug supposed to contribute to and follow the process of private bugs that are affecting us every day?
Comment 15 Debarshi Ray 2014-11-02 10:04:40 EST
(In reply to Brian J. Murrell from comment #14)
> (In reply to Debarshi Ray from comment #13)
> > 
> > *** This bug has been marked as a duplicate of bug 1018368 ***
> 
> It's really quite annoying when public bugs -- the ones that abrt is going
> to find and direct one to -- are closed as a duplicate of a private bug.

It should be OK now.

> How are those of us afflicted with this bug supposed to contribute to and
> follow the process of private bugs that are affecting us every day?

Would have been happier if you had not assumed malice so easily.
Comment 16 Brian J. Murrell 2014-11-02 10:16:36 EST
(In reply to Debarshi Ray from comment #15)
> 
> It should be OK now.

Ahh.  Thanks!

> Would have been happier if you had not assumed malice so easily.

I wasn't assuming malice, but just expressing my frustration as this happens more frequently than just occasionally.  But you are right.  I will try to keep my frustration to myself in the future.

Note You need to log in before you can comment on or make changes to this bug.